### Method

# AppStream Release set_url

since: 0.12.5

#### Declaration [src]

    void
    as_release_set_url (
      AsRelease* release,
      AsReleaseUrlKind url_kind,
      const gchar* url
    )

#### Description [src]

Sets an URL for this release.

Available since: 0.12.5

#### Parameters

`url_kind`

  Type: `AsReleaseUrlKind`

  The URL kind, e.g. `AS_RELEASE_URL_KIND_DETAILS`.

`url`

  Type: `const gchar*`

  The full URL.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.